"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchPages = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
const url_1 = require("url");
const utils_1 = require("./utils");
const fetchPages = (projectName, options = {}) => {
    const params = utils_1.constructUrlParams(options);
    const requestUrl = new url_1.URL(`https://scrapbox.io/api/pages/${projectName}?${params.toString()}`);
    return node_fetch_1.default(requestUrl)
        .then((response) => response.json())
        .catch((e) => e);
};
exports.fetchPages = fetchPages;
