import type { NodeInput, SourceNodesArgs } from "gatsby";
import type { Scrapbox } from "./types";
interface ScrapboxPageNodeInput extends NodeInput {
    readonly url: `https://scrapbox.io/api/${string}`;
}
export declare const Node: ({ createContentDigest, createNodeId, }: Pick<SourceNodesArgs, "createNodeId" | "createContentDigest">) => (page: Scrapbox.Page) => ScrapboxPageNodeInput;
export {};
