import { TypeOf } from "io-ts";
declare const User: import("io-ts").ReadonlyC<import("io-ts").TypeC<{
    id: import("io-ts").StringC;
}>>;
declare const Page: import("io-ts").ReadonlyC<import("io-ts").TypeC<{
    accessed: import("io-ts").NumberC;
    commitId: import("io-ts").StringC;
    created: import("io-ts").NumberC;
    descriptions: import("io-ts").ReadonlyArrayC<import("io-ts").StringC>;
    id: import("io-ts").StringC;
    image: import("io-ts").UnionC<[import("io-ts").StringC, import("io-ts").NullC]>;
    linked: import("io-ts").NumberC;
    pageRank: import("io-ts").NumberC;
    pin: import("io-ts").NumberC;
    snapshotCreated: import("io-ts").UnionC<[import("io-ts").NumberC, import("io-ts").NullC]>;
    title: import("io-ts").StringC;
    updated: import("io-ts").NumberC;
    user: import("io-ts").ReadonlyC<import("io-ts").TypeC<{
        id: import("io-ts").StringC;
    }>>;
    views: import("io-ts").NumberC;
}>>;
declare const PagesResponse: import("io-ts").ReadonlyC<import("io-ts").TypeC<{
    count: import("io-ts").NumberC;
    limit: import("io-ts").NumberC;
    pages: import("io-ts").ReadonlyArrayC<import("io-ts").ReadonlyC<import("io-ts").TypeC<{
        accessed: import("io-ts").NumberC;
        commitId: import("io-ts").StringC;
        created: import("io-ts").NumberC;
        descriptions: import("io-ts").ReadonlyArrayC<import("io-ts").StringC>;
        id: import("io-ts").StringC;
        image: import("io-ts").UnionC<[import("io-ts").StringC, import("io-ts").NullC]>;
        linked: import("io-ts").NumberC;
        pageRank: import("io-ts").NumberC;
        pin: import("io-ts").NumberC;
        snapshotCreated: import("io-ts").UnionC<[import("io-ts").NumberC, import("io-ts").NullC]>;
        title: import("io-ts").StringC;
        updated: import("io-ts").NumberC;
        user: import("io-ts").ReadonlyC<import("io-ts").TypeC<{
            id: import("io-ts").StringC;
        }>>;
        views: import("io-ts").NumberC;
    }>>>;
    projectName: import("io-ts").StringC;
    skip: import("io-ts").NumberC;
}>>;
export declare namespace Scrapbox {
    type PagesResponse = TypeOf<typeof PagesResponse>;
    type PagesOptions = Readonly<{
        limit: number;
        skip: number;
    }>;
    type Page = TypeOf<typeof Page>;
    type User = TypeOf<typeof User>;
}
export {};
