import { CreateSchemaCustomizationArgs, PluginOptions, PluginOptionsSchemaArgs, SourceNodesArgs } from "gatsby";
export declare type SourceScrapboxOptions = Readonly<{
    limit?: number;
    projectName: string;
    skip?: number;
}>;
export declare const sourceNodes: ({ actions, createContentDigest, createNodeId, reporter }: SourceNodesArgs, { projectName, ...fetchPagesOptions }: PluginOptions & SourceScrapboxOptions) => Promise<void>;
export declare const createSchemaCustomization: ({ actions: { createTypes }, schema, }: CreateSchemaCustomizationArgs) => void;
export declare const pluginOptionsSchema: ({ Joi, }: PluginOptionsSchemaArgs) => unknown;
